Imagick::setImageMatte
Imagick::setImageOpacity
Imagick
PHP Manual

# Imagick::setImageMatteColor

(PECL imagick 2.0.0)

Imagick::setImageMatteColor — Sets the image matte color

### Description

bool Imagick::setImageMatteColor ( mixed `$matte` )

Sets the image matte color.

### Parameters

`matte`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the parameter. Previous versions allow only an ImagickPixel object.

Imagick::setImageMatte
Imagick::setImageOpacity
Imagick
PHP Manual